Bug 20890 - Poster attribute for audio element to be used with subtitles in track element
Summary: Poster attribute for audio element to be used with subtitles in track element
Status: CLOSED WONTFIX
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: All All
: P2 enhancement
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20898
  Show dependency treegraph
 
Reported: 2013-02-06 23:43 UTC by Philippe Worontzoff
Modified: 2013-02-09 02:26 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Worontzoff 2013-02-06 23:43:18 UTC
Hi,
As the track element may be used inside an audio element and as the track element can be used to provide subtitles, it would be great to have a poster attribute in the audio element, so, the image linked in the poster attribute would be display as background image in the "screen" (box) where the subtitles are displayed.
Thanks for your interest on that topic.
Bye.
Comment 1 Silvia Pfeiffer 2013-02-07 23:15:07 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Rejected

Change Description: none
Rationale:

The audio element has no rendering region - it does not display anything. In fact, it does not display captions or subtitles either. If you have a audio file and want to display subtitles by using <track> you have to put the audio file into @src of a <video> element. Then what you describe should be exactly what happens.
Comment 2 Philippe Worontzoff 2013-02-08 11:52:38 UTC
Ok, this is logical if an audio have some subtitles (that are visual), it becomes audio-visual, so, it's some video. So, I completely agree (and technicaly, it looks like it's not a problem to put an audio file in the src attribute of a video element.
Now, the point is that it is permited to have a track element with the kind attributes set to "subtitles" in an audio element, so, it should not be permited as it leads to something not logical.
So, I think this should be redefined as another bug.
Comment 3 Philippe Worontzoff 2013-02-08 12:01:46 UTC
I've added bug 20903.
Comment 4 Silvia Pfeiffer 2013-02-09 02:26:12 UTC
(In reply to comment #2)
> Now, the point is that it is permited to have a track element with the kind
> attributes set to "subtitles" in an audio element, so, it should not be
> permited as it leads to something not logical.
> So, I think this should be redefined as another bug.

I'm replying in the other bug.